| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Signals | Public Member Functions | List of all members
Digikam::TrackManager Class Reference
Inheritance diagram for Digikam::TrackManager:

## Classes
class | Track
class | TrackPoint

## Public Types
enum | ChangeFlag { ChangeTrackPoints = 1 , ChangeMetadata = 2 , ChangeRemoved = 4 , ChangeAdd = ChangeTrackPoints | ChangeMetadata }
typedef quint32 | Id
typedef QPair< Id, ChangeFlag > | TrackChanges

## Signals
void | signalAllTrackFilesReady ()
void | signalTrackFilesReadyAt (const int startIndex, const int endIndex)
void | signalTracksChanged (const QList< TrackManager::TrackChanges > &trackChanges)
void | signalVisibilityChanged (const bool newValue)

## Public Member Functions
| TrackManager (QObject *const parent=nullptr)
void | clear ()
QColor | getNextFreeTrackColor ()
quint64 | getNextFreeTrackId ()
const Track & | getTrack (const int index) const
Track | getTrackById (const quint64 trackId) const
Track::List | getTrackList () const
bool | getVisibility () const
void | loadTrackFiles (const QList< QUrl > &urls)
QList< QPair< QUrl, QString > > | readLoadErrors ()
void | setVisibility (const bool value)
int | trackCount () const

## Member Typedef Documentation

## ◆ Id

typedef quint32 Digikam::TrackManager::Id

Note
  we assume here that we will never load more than uint32_max tracks.

## Member Function Documentation

## ◆ clear()

void Digikam::TrackManager::clear | ( |  | ) |